changeset 82:27fb2e50dad2 draft

Only run coverage in test.sh; it is enough
author Lewin Bormann <lbo@spheniscida.de>
date Sat, 25 May 2019 23:48:44 +0200
parents 40f9e05d8f06
children d8cc0de4e1ca
files test.sh
diffstat 1 files changed, 6 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/test.sh	Sat May 25 23:48:28 2019 +0200
+++ b/test.sh	Sat May 25 23:48:44 2019 +0200
@@ -1,7 +1,11 @@
 #!/bin/bash
 
+set -e
+
 export PYTHONPATH=.
 
-python3 -m pcombinators.tests.test_arith
-coverage run -m pcombinators.tests.test_arith
+for F in pcombinators/tests/test_*; do
+    coverage run ${F}
+done
+
 coverage html